package org.artifactory.projects;

import lombok.NonNull;
import org.jfrog.access.client.project.ProjectResourceEntity;
import org.springframework.stereotype.Service;

import javax.annotation.Nullable;
import java.util.Collections;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * @author BarakH
 */
@Service
public class ProjectsServiceDefaultImpl implements ProjectsService {

    @Override
    public @NonNull List<String> getAllProjectsManagedByUser() {
        return Collections.emptyList();
    }

    @Override
    public @NonNull List<String> getAllProjects() {
        return Collections.emptyList();
    }

    @Override
    public @NonNull Set<String> getProjectRepositories(String project, boolean ignoreCache) {
        return Collections.emptySet();
    }

    @Override
    public @NonNull Set<String> getProjectAdminRepositories() {
        return Collections.emptySet();
    }

    @NonNull
    @Override
    public String getProjectOfRepository(String repoKey) {
        return DEFAULT_PROJECT;
    }

    @Override
    @NonNull
    public Map<String, String> getRepoKeyToProjectMap(@NonNull Set<String> repositories, boolean ignoreCache) {
        return Map.of();
    }

    @Nullable
    @Override
    public ProjectResourceEntity getProjectRepositoryEntity(@NonNull String projectName, @NonNull String repoKey,
            boolean ignoreCache) {
        return null;
    }

    @Override
    public long getProjectStorageQuotaBytes(String project) {
        return 0L;
    }
}
