:: This script starts router service 
:: 

@echo off
setlocal

goto initialize

:setVariables 
    set ROUTER_SERVICE_NAME=router
    set ROUTER_EXECUTABLE=jf-router.exe
    set ROUTER_BINARY_NAME=%JF_PRODUCT_HOME%\app\%ROUTER_SERVICE_NAME%\bin\%ROUTER_EXECUTABLE%
    set CONSOLEOUTDIRECTORY=%JF_PRODUCT_HOME%\var\log
    set CONSOLEOUTFILE=%CONSOLEOUTDIRECTORY%\%ROUTER_SERVICE_NAME%-console.log
EXIT /B 0

:initialize  
    call :setVariables   
    if NOT defined JF_PRODUCT_HOME (
        echo "JF_PRODUCT_HOME environment variable is required to run this script."
        goto :error
    )
    if "%~1" equ "start" (
        shift /1
        goto start
        )
    if "%~1" equ "stop" (
        shift /1
        goto stop
        )
    goto start
EXIT /B 0

:stop
    tasklist /FI "IMAGENAME eq %ROUTER_EXECUTABLE%" 2>NUL | find /I /N "%ROUTER_SERVICE_NAME%">NUL
    if "%ERRORLEVEL%"=="0" taskkill /f /im %ROUTER_EXECUTABLE%
EXIT /B %ERRORLEVEL%

:start
    call :stop
    echo Starting service %ROUTER_SERVICE_NAME% from %ROUTER_BINARY_NAME%
    echo. 

    if not exist %CONSOLEOUTDIRECTORY% mkdir %CONSOLEOUTDIRECTORY%
    if not exist %CONSOLEOUTFILE% type nul>%CONSOLEOUTFILE%

    start "%ROUTER_SERVICE_NAME%-bin" /B  %ROUTER_BINARY_NAME% 2>&1 >"%CONSOLEOUTFILE%"
EXIT /B %ERRORLEVEL%

:error
    exit /b 1
:end
    exit /b 0