package org.artifactory.storage.db.event.error.model;


import lombok.Builder;
import lombok.Value;
import org.artifactory.repo.RepoPath;
import org.artifactory.storage.event.EventType;

import javax.annotation.Nonnegative;
import javax.annotation.Nonnull;

/**
 * @author Mor Merhav
 */
@Value
@Builder(toBuilder = true, builderClassName = "Builder")
public class NodeEventsErrorInfo {
    @Nonnull
    String eventCategory;
    @Nonnull
    EventType eventType;
    @Nonnull
    RepoPath path;
    String operationKey;
    @Nonnegative
    long eventTime;
    @Nonnegative
    int errorCount;
    @Nonnull
    String errorMessage;
    @Nonnegative
    long firstErrorTime;
    @Nonnegative
    long lastErrorTime;
}
